import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M395-276 191-480l204-204 16 15-178 178h536v22H233l178 178-16 15Z",
    "200": "M396.15-267.69 183.85-480l212.53-212.54 22.24 21.23-175.93 175.93h533.69v30.76H242.69l175.69 175.7-22.23 21.23Z",
    "300": "M398.08-253.85 171.92-480l226.77-226.77 32.62 31.62-172.47 172.46h529.85v45.38H258.84l171.85 171.85-32.61 31.61Z",
    "400": "M400-240 160-480l241-241 43 42-169 169h526v60H275l168 168-43 42Z",
    "500": "M400.96-234.26 154.98-480l246.98-246.74 48.74 47.26-165.18 165.41h520.5v68.14h-520.5L449.7-281.76l-48.74 47.5Z",
    "600": "M402.26-226.43 148.13-480l255.13-254.57 56.57 54.44-159.96 160.52h513v79.22h-513l158.96 158.96-56.57 55Z",
    "700": "M404-216 139-480l266-265 67 64-153 154h503v94H319l152 152-67 65Z"
  }
};
const ArrowLeftAltW100 = createMaterialIcon("arrow_left_alt", pathData.regular[100]);
const ArrowLeftAltW200 = createMaterialIcon("arrow_left_alt", pathData.regular[200]);
const ArrowLeftAltW300 = createMaterialIcon("arrow_left_alt", pathData.regular[300]);
const ArrowLeftAltW400 = createMaterialIcon("arrow_left_alt", pathData.regular[400]);
const ArrowLeftAltW500 = createMaterialIcon("arrow_left_alt", pathData.regular[500]);
const ArrowLeftAltW600 = createMaterialIcon("arrow_left_alt", pathData.regular[600]);
const ArrowLeftAltW700 = createMaterialIcon("arrow_left_alt", pathData.regular[700]);
const ArrowLeftAltFillW100 = createMaterialIcon("arrow_left_alt", pathData.regular[100]);
const ArrowLeftAltFillW200 = createMaterialIcon("arrow_left_alt", pathData.regular[200]);
const ArrowLeftAltFillW300 = createMaterialIcon("arrow_left_alt", pathData.regular[300]);
const ArrowLeftAltFillW400 = createMaterialIcon("arrow_left_alt", pathData.regular[400]);
const ArrowLeftAltFillW500 = createMaterialIcon("arrow_left_alt", pathData.regular[500]);
const ArrowLeftAltFillW600 = createMaterialIcon("arrow_left_alt", pathData.regular[600]);
const ArrowLeftAltFillW700 = createMaterialIcon("arrow_left_alt", pathData.regular[700]);

export { ArrowLeftAltFillW100, ArrowLeftAltFillW200, ArrowLeftAltFillW300, ArrowLeftAltFillW400, ArrowLeftAltFillW500, ArrowLeftAltFillW600, ArrowLeftAltFillW700, ArrowLeftAltW100, ArrowLeftAltW200, ArrowLeftAltW300, ArrowLeftAltW400, ArrowLeftAltW500, ArrowLeftAltW600, ArrowLeftAltW700 };
